# class toMarkedText

This is the enhanced editor used in TOra. More...

Definition | `#include <tomarkedtext.h>`
Inherits | toEditWidget [public ], toMultiLineEdit [public ]
Inherited by | toHighlightedText, toResultField
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toMarkedText (QWidget *parent,const char *name=NULL)
- virtual void insert (const QString &str,bool mark)
- virtual void insert (const QString &str)
- QString markedText ()
- bool hasMarkedText ()
- void clear (void)
- bool getMarkedRegion (int * line1,int * col1,int * line2,int * col2) const
- virtual QString filename (void) const
- virtual void openFilename (const QString &file)
- virtual void setFilename (const QString &str)
- virtual void setEdit (void)
- virtual void focusInEvent (QFocusEvent *e)
- virtual void focusOutEvent (QFocusEvent *e)
- virtual void paintEvent (QPaintEvent *pe)
- virtual void editPrint (void)
- virtual bool editOpen (QString file=QString::null)
- virtual bool editSave (bool ask)
- virtual void editUndo (void)
- virtual void editRedo (void)
- virtual void editCut (void)
- virtual void editCopy (void)
- virtual void editPaste (void)
- virtual void editSelectAll (void)
- virtual void searchTop (void)
- virtual bool searchNext (toSearchReplace *search)
- virtual void searchReplace (const QString &newData)
- virtual bool searchCanReplace (bool all)
- void incrementalSearch (bool forward)
- virtual void exportData (std::map<QCString,QString> &data,const QCString &prefix)
- virtual void importData (std::map<QCString,QString> &data,const QCString &prefix)
- void findPosition (int index,int &line,int &col)

#### Protected Methods

- virtual void mousePressEvent (QMouseEvent *e)
- virtual void keyPressEvent (QKeyEvent *e)
- virtual void newLine (void)
- virtual void dropEvent (QDropEvent *)
- virtual void timerEvent (QTimerEvent *)

## Detailed Description

This is the enhanced editor used in TOra. It mainly offers integration in the TOra menues and printsupport in addition to normal QMultiLineEdit.

void mousePressEvent (QMouseEvent *e)

### mousePressEvent

[protected virtual]

Reimplemented for internal reasons.

void keyPressEvent (QKeyEvent *e)

### keyPressEvent

[protected virtual]

Reimplemented for internal reasons.

toMarkedText (QWidget *parent,const char *name=NULL)

### toMarkedText

Create an editor.

Parameters:

parent | Parent of this widget.
name | Name of this widget.

void insert (const QString &str,bool mark)

### insert

[virtual]

Insert text and optionallly mark inserted text.

Parameters:

str | String to insert.
mark | True if mark inserted as selected.

void insert (const QString &str)

### insert

[virtual]

Insert text.

Parameters:

str | String to insert.

QString markedText ()

### markedText

Get selected text. This function is now public.

Returns: The selected text.

Reimplemented from QMultiLineEdit.

bool hasMarkedText ()

### hasMarkedText

Check if selection is available. This function is now public.

Returns: True if selection is available.

Reimplemented from QMultiLineEdit.

void clear (void)

### clear

Erase the contents of the editor.

bool getMarkedRegion (int * line1,int * col1,int * line2,int * col2)

### getMarkedRegion

[const]

Get location of the current selection. This function is now public. See the Qt documentation for more information.

Reimplemented from QMultiLineEdit.

QString filename (void)

### filename

[const virtual]

Get filename of current file in editor.

Returns: Filename of editor.

void openFilename (const QString &file)

### openFilename

[virtual]

Open a file for editing.

Parameters:

file | File to open for editing.

void setFilename (const QString &str)

### setFilename

[virtual]

Set the current filename of the file in editor.

Parameters:

str | String containing filename.

void setEdit (void)

### setEdit

[virtual]

Update user interface with availability of copy/paste etc.

Reimplemented from toEditWidget.

void focusInEvent (QFocusEvent *e)

### focusInEvent

[virtual]

Reimplemented for internal reasons.

void focusOutEvent (QFocusEvent *e)

### focusOutEvent

[virtual]

Reimplemented for internal reasons.

void paintEvent (QPaintEvent *pe)

### paintEvent

[virtual]

Reimplemented for internal reasons.

void editPrint (void)

### editPrint

[virtual]

Print this editor.

Reimplemented from toEditWidget.

bool editOpen (QString file=QString::null)

### editOpen

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

bool editSave (bool ask)

### editSave

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void editUndo (void)

### editUndo

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void editRedo (void)

### editRedo

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void editCut (void)

### editCut

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void editCopy (void)

### editCopy

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void editPaste (void)

### editPaste

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void editSelectAll (void)

### editSelectAll

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void searchTop (void)

### searchTop

[virtual]

Move to top of data

Reimplemented from toEditWidget.

bool searchNext (toSearchReplace *search)

### searchNext

[virtual]

Search for next entry

Returns: True if found, should select the found text.

Reimplemented from toEditWidget.

void searchReplace (const QString &newData)

### searchReplace

[virtual]

Replace entry with new data

Reimplemented from toEditWidget.

bool searchCanReplace (bool all)

### searchCanReplace

[virtual]

Check if data can be modified by search

Parameters:

all | If true can replace all, otherwise can replace right now.

Reimplemented from toEditWidget.

void incrementalSearch (bool forward)

### incrementalSearch

Start incremental search mode, or search next if started.

void exportData (std::map<QCString,QString> &data,const QCString &prefix)

### exportData

[virtual]

Export data to a map.

Parameters:

data | A map that can be used to recreate the data of a chart.
prefix | Prefix to add to the map.

void importData (std::map<QCString,QString> &data,const QCString &prefix)

### importData

[virtual]

Import data

Parameters:

data | Data to read from a map.
prefix | Prefix to read data from.

void findPosition (int index,int &line,int &col)

### findPosition

Find the line and column of an index into the string of the entire editor.

Parameters:

index | Index to get line and col from.
line | Will be filled out with the line.
col | Will be filled out with the col.

void newLine (void)

### newLine

[protected virtual]

void dropEvent (QDropEvent *)

### dropEvent

[protected virtual]

void timerEvent (QTimerEvent *)

### timerEvent

[protected virtual]

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.